Subject: bug#56305: 29.0.50; 'yes-or-no-p' deselects minibuffer frame

From: martin rudalics <[email-masked]>
Date: Sat, 9 Jul 2022 10:36:20 +0200

>>> It does not restore the Emacs 26 behavior.
 >
 > How, precisely, does the behaviour in my proposed patch differ from that
 > of Emacs 26?

In all patches you proposed for the release version the difference is
that with Emacs 26 the normal frame is on top of the minibuffer frame
when the question is asked while with your patches the minibuffer frame
obscures the normal frame.  The minibuffer frame has input focus in
either case.

 >>> If you look at the reports for Bug#8856, Bug#11566 or Bug#11939, you
 >>> might be able to imagine how much time I spent to get the behavior
 >>> right for Drew's setup back then.  It's quite sobering to see my
 >>> efforts from that period get wasted now.
 >
 > What do you mean by "wasted"?  What fails to work now which worked
 > immediately after your fixes for these three bugs?

I neither recall what did not work nor whether I fixed anything at all
nor what got fixed.  I only recall that everything I tried in this area
was extremely fragile and bound to fail immediately when a sequence of
events was disturbed by external intervention.

 >> .... I'll take a look at these bug reports this evening.
 >
 > I've had a look at those bugs, now, albeit briefly.  They do not contain
 > concise recipes for reproducing the bugs, and anyway, I don't have a
 > Windows system to try things out on.  They are bugs where the focus
 > ended up on the wrong frame, and it was hypothesised that this may have
 > been because of Windows always giving the focus to newly created frames.

Such behavior is quite normal on non-Windows systems too.

martin